/*!
 * ContractCase Core HTTP Plugin
 * Copyright(c) 2022-2024 Timothy Jones (TLJ)
 * BSD-3-Clause license
 */
import { AllHttpMatcherDescriptors, AllHttpMatcherTypes, AllHttpMockDescriptors, AllHttpMockSetupInfo, MOCK_HTTP_CLIENT, MOCK_HTTP_SERVER } from '@contract-case/case-core-plugin-http-dsl';
import { ContractCasePlugin } from '@contract-case/case-plugin-base';
export * from './matchers';
export * from './mocks';
export * from './mocks/types';
declare const CoreHttpPlugin: ContractCasePlugin<AllHttpMatcherTypes, typeof MOCK_HTTP_CLIENT | typeof MOCK_HTTP_SERVER, AllHttpMatcherDescriptors, AllHttpMockDescriptors, AllHttpMockSetupInfo>;
export default CoreHttpPlugin;
//# sourceMappingURL=index.d.ts.map