type FieldDescriptor<T extends object> = {
    field: keyof T;
    type: string;
    notNull?: boolean;
};
type DataAssertions<T extends object> = {
    assertFieldPresent: (f: FieldDescriptor<T>) => void;
    assertIfFieldPresent: (f: FieldDescriptor<T>) => void;
};
export declare const makeAssertionsOn: <T extends object>(data: T, name: string) => DataAssertions<T>;
export {};
//# sourceMappingURL=assert.d.ts.map